Tool: answer_query
Use answer_query to get a grounded answer to a query about Google developer products. This tool has limited quota. This tool will synthesize information from the corpus to generate an answer to the query. answer_query grounds answers using the same corpus as search_documents. This tool returns the generated answer_text and a list of document names (references) used to generate the answer. Use get_documents with the document names to fetch the entire document content if needed.
If you get a 429 out of quota error, use search_documents instead.
The following sample demonstrate how to use curl to invoke the answer_query MCP tool.
| Curl Request |
|---|
curl --location 'https://developerknowledge.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "answer_query", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for AnswerQuery.
AnswerQueryRequest
| JSON representation |
|---|
{ "query": string } |
| Fields | |
|---|---|
query |
Required. The query to answer. |
Output Schema
Response message for AnswerQuery.
AnswerQueryResponse
| JSON representation |
|---|
{ "answerText": string, "references": [ string ] } |
| Fields | |
|---|---|
answerText |
The answer to the query. |
references[] |
Output only. The resource names of the documents used to generate the answer. |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌